Loading...
Searching...
No Matches
merge.hpp File Reference

## Typedefs

template<typename I0 , typename I1 , typename O >
using | ranges::merge_result = detail::in1_in2_out_result< I0, I1, O >

## Functions

template<typename I0 , typename S0 , typename I1 , typename S1 , typename O , typename C = less, typename P0 = identity, typename P1 = identity> requires sentinel_for<S0, I0> && sentinel_for<S1, I1> && mergeable<I0, I1, O, C, P0, P1>
constexpr merge_result< I0, I1, O > | ranges::merge (I0 begin0, S0 end0, I1 begin1, S1 end1, O out, C pred=C{}, P0 proj0=P0{}, P1 proj1=P1{})
| function template `merge`
template<typename Rng0 , typename Rng1 , typename O , typename C = less, typename P0 = identity, typename P1 = identity> requires range<Rng0> && range<Rng1> && mergeable<iterator_t<Rng0>, iterator_t<Rng1>, O, C, P0, P1>
constexpr merge_result< borrowed_iterator_t< Rng0 >, borrowed_iterator_t< Rng1 >, O > | ranges::merge (Rng0 &&rng0, Rng1 &&rng1, O out, C pred=C{}, P0 proj0=P0{}, P1 proj1=P1{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.